ENOSYS(1)

NAMN
enosys - verktyg för att få syscalls att misslyckas med ENOSYS

SYNOPSIS

enosys [--syscall|-s syscall] kommando

BESKRIVNING

enosys är ett enkelt kommando för att köra en underordnad process för vilken vissa syscalls misslyckas med errno ENOSYS.

Den kan användas för att testa hur applikationer beter sig när syscalls saknas, vilket kan hända när de körs på gamla kärnor.

FLAGGOR

-s, --syscall
    Syscall att blockera med ENOSYS. Kan anges flera gånger. Ett alternativt felnummer eller namn kan anges med ett kolon.

-i, --ioctl
    Ioctl för att blockera med ENOTTY. Kan anges flera gånger. Ett alternativt felnummer eller namn kan anges med ett kolon.

-l, --list
    Lista syscalls som är kända för enosys.

-m, --list-ioctl
    Lista över ioctls som är kända för enosys.

-d, --dump[=fil]
    Dumpa seccomp bytecode-filter till standardutdata.

    Dumpen kan t.ex. användas av setpriv --seccomp-filter.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

EXEMPEL

    # misslyckas med syscall "fallocate" med ENOSYS
    enosys -s fallocate ...

    # misslyckas med syscall "fallocate" med ENOMEM
    enosys -s fallocate:ENOMEM ...

    # misslyckas med syscall "fallocate" med värdet 12/ENOMEM
    enosys -s fallocate:12 ...

    # misslyckas med ioctl FIOCLEX med ENOTTY
    enosys -i FIOCLEX ...

    # misslyckas med ioctl FIOCLEX med ENOMEM
    enosys -i FIOCLEX:ENOMEM ...

    # misslyckas med ioctl FIOCLEX med värdet 12/ENOMEM
    enosys -i FIOCLEX:12 ...

AVSLUTSSTATUS

enosys avslutas med statuskoden för den process som körs. Följande värden har speciella betydelser:

1
    internt fel

2
    systemet inte tillhandahåller nödvändig funktionalitet

UPPHOVSPERSONER

SE ÄVEN

syscall(2)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot enosys ingår i paketet util-linux som kan hämtas från